function [ierr, x] = gauss_pl1(n, a, b)
//Procedura Gauss cu pivotare pe linii fara reprezentari grafice
// n = dimens. matricii
//a = matricea coeficientilor
//b = vectorul termenilor liberi
//x = vectorul rezultatelor
//Matricea a ca si vectorul b se distrug.
//De aceea s-ar putea pune rezultatul in b.
//Se face pivotare partiala pe linii fara
//cautarea pivotului optim ci doar a unui pivot
//nenul de modul maxim.
//Intoarce ier = 0 - all OK
//ier = 1 - eroare. Nu se gaseste pivot diferit de 0.

x = zeros(n, 1);

//Eliminare
for k = 1:n-1
    max1 = k;
    for m=k+1:n
        if ( abs( a(m, k) ) > abs( a(max1, k) )) then
	    max1 = m;
	end;
    end;
    if ( a(max1, k) == 0) then return 1;
    else 
        if (max1 <> k) then
	    for m=k:n
	        temp = a(k, m);
		a(k, m) = a(max1, m);
		a(max1, m) = temp;
	     end;
	     temp = b(k);
	     b(k) = b(max1);
	     b(max1) = temp;
	end;
    end;

    for i=k+1:n
        if (a(i, k) <> 0) then
	    p=a(i, k)/a(k,k);
	    for j = k:n 
	        a(i, j) = a(i, j) - p*a(k, j);
                //afisare
	    end;
	    b(i) = b(i) - p*b(k);
	end;
    end;
end;

//Retrosubstitutie

if (a(n, n) == 0) then return 1; end;
x(n) = b(n)/a(n, n);
for i = n-1:-1:1
    s = b(i);
    for j = n:-1:i+1
        s = s - a(i, j)*x(j);
    end;
    x(i) = s/a(i, i);
end;

endfunction
